summaryrefslogtreecommitdiffstats
path: root/tests/posix/L_xdev.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/posix/L_xdev.sh')
-rw-r--r--tests/posix/L_xdev.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/tests/posix/L_xdev.sh b/tests/posix/L_xdev.sh
new file mode 100644
index 0000000..f0ba120
--- /dev/null
+++ b/tests/posix/L_xdev.sh
@@ -0,0 +1,15 @@
+skip_unless test "$SUDO"
+skip_if test "$UNAME" = "Darwin"
+
+rm -rf scratch/*
+mkdir scratch/{foo,mnt}
+sudo mount -t tmpfs tmpfs scratch/mnt
+ln -s ../mnt scratch/foo/bar
+$TOUCH scratch/mnt/baz
+ln -s ../mnt/baz scratch/foo/qux
+
+bfs_diff -L scratch -xdev
+ret=$?
+
+sudo umount scratch/mnt
+return $ret